Subject: bug#1867: Resizing window causes text flickering when using antialiased font on X

From: Chong Yidong <[email-masked]>
Date: Thu, 06 Oct 2011 11:06:18 -0400

"Jan D." <[email-masked]> writes:

>> The right way to fix flickering in Emacs is to implement double
>> buffering, which is not a trivial project.
>
> If we are aiming for a general solution across all ports this is true.
> A pure X solution might be easier if we use the double buffer
> extension.

I took a brief look into this some time ago.  The DBE module is pretty
under-documented, and I wasn't able to find any code that uses it.  GTK,
for instance, does its own double-buffering rather than using DBE.